Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451425 - .gvfs mounts causing rsync problems
Summary: .gvfs mounts causing rsync problems
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rsnapshot
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-14 11:22 UTC by Dan O'Brien
Modified: 2010-07-17 21:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:31:55 UTC


Attachments (Terms of Use)

Description Dan O'Brien 2008-06-14 11:22:03 UTC
Description of problem:

Using rsnapshot to do incremental backups which under the covers uses rsync is
being tripped up by the .gvfs mount in home causing problems with backup.

message:

Subject: Cron <root@localhost> /usr/bin/rsnapshot hourly
Content-Type: text/plain; charset=UTF-8
Auto-Submitted: auto-generated
X-Cron-Env: <SHELL=/bin/sh>
X-Cron-Env: <HOME=/root>
X-Cron-Env: <PATH=/usr/bin:/bin>
X-Cron-Env: <LOGNAME=root>
X-Cron-Env: <USER=root>

rsync: readlink "/home/dmobrien/.gvfs" failed: Permission denied (13)
IO error encountered -- skipping file deletion
rsync error: some files could not be transferred (code 23) at main.c(1031) [send
er=3.0.2]

Did the copy complete?
So, it's not going to delete files out of the backup that have disappeared from
the copy from dir?

.gvfs more trouble than its worth? 

Version-Release number of selected component (if applicable):

rsync-3.0.2-0.fc9.i386
rsnapshot-1.3.0-1.fc8.noarch
fuse-2.7.3-2.fc9.i386


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Simo Sorce 2008-06-30 14:19:43 UTC
Reassigning to rsnapshot, rsync is a mere tool here and does what it is told to.

Comment 2 Bug Zapper 2009-06-10 01:36:49 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 16:31:55 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Matt McCutchen 2009-11-02 22:22:58 UTC
An explanation of the issue:

http://sourceforge.net/mailarchive/message.php?msg_name=1211907753.2661.32.camel%40localhost

The issue is the same in Fedora 11, so this can be reopened.

Comment 5 Matt McCutchen 2010-07-17 21:48:42 UTC
The issue is the same in Fedora 13.  Someone please bump the version and reopen.


Note You need to log in before you can comment on or make changes to this bug.